package com.template.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.template.model.pojo.SmartUser;
import com.template.model.tongji.*;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

@Repository
public interface DriverStockMapper extends BaseMapper<T> {

    // 年级统计
    public List<Tj> getClassTj();

    // 访客统计
    public List<Tj> getVisitorTj(@Param("start") LocalDateTime start,@Param("end") LocalDateTime end);

    // 能耗总量统计
    public List<TjFloat> getEnergyTj();

    // 每栋楼电费月统计
    public List<TjFloat> getEnergyMonth(@Param("date") String date,@Param("type") Integer type);

    // 近12天水电统计
    public List<TjFloat> getEnergyDay(@Param("date") String date,@Param("type") Integer type);

    // 总设备数
    public List<TjFloat> getTotalDevice();

    // 在线设备数
    public List<TjFloat> getOnlineDevice(@Param("date") String date);

    public List<MeterPage> getMeterDetail(@Param("meterType") Integer meterType);

    // 用户结构
    public List<Tj> getUserComp();

    // 用户汇总学生
    public List<userPage> getUserPage(@Param("key") String key,@Param("identityId") Integer identityId);

    // 教学成果
    public List<Tj> getScorePer(@Param("examName") String examName,@Param("updateUser") String updateUser);

    // 考试名称
    public List<Tj> getExamName();

    // 教师评分
    public List<Tj> getTeacherExam(@Param("cardNo") String cardNo);

}
